@import 'https://cdnjs.cloudflare.com/ajax/libs/meyer-reset/2.0/reset.min.css';

:root {
  --color1: #fffff6;
  --color2: #161619;
}

body {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-template-rows: 1fr 1fr 1fr;
  min-height: 100vh;
  color: var(--color2);
  background-color: var(--color1);
  font-family: system-ui, sans-serif;
}

h1 {
  grid-row: 1;
  grid-column: 2;
  justify-self: center;
  align-self: center;
  font-size: 85px;
  font-weight: 700;
  color: var(--color2);
}

button {
  grid-row: 2;
  grid-column: 2;
  justify-self: center;
  align-self: end;

  height: 40px;
  width: 175px;
  border-radius: 7px;
  color: var(--color2);
  background-color: transparent;
  border: 3px solid currentColor;
  font-size: 18px;
  cursor: pointer;
  outline: none;
  transition: color 0.2s ease;
}

button:hover {
  --color2: grey;
}
